using PkmnLib.Dynamic.Libraries;
using PkmnLib.Plugin.Gen7;

namespace PkmnLib.Tests.Integration;

public static class LibraryHelpers
{
    public static IDynamicLibrary LoadLibrary()
    {
        var dynamicLibrary = DynamicLibraryImpl.Create([
            new Gen7Plugin(new Gen7PluginConfiguration
            {
                DamageCalculatorHasRandomness = false,
            }),
        ]);
        return dynamicLibrary;
    }
}